---
agentTools:
  projectIndex: https://docs.developer.yelp.com/llms.txt
---

# Delete subscriptions

This endpoint deletes business subscriptions for Listing Management.

[block:callout]
{
  "type": "warning",
  "body": "Please migrate to the [Business Subscriptions API](https://docs.developer.yelp.com/docs/business-subscriptions-api)",
  "title": "Listing Management API is deprecated"
}
[/block]

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Listing Management",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://partner-api.yelp.com/listing_management"
    }
  ],
  "components": {
    "securitySchemes": {
      "basic": {
        "type": "http",
        "scheme": "basic"
      }
    },
    "schemas": {
      "AddDeleteSubscriptionsResponse": {
        "204": {
          "description": "204"
        },
        "400": {
          "$ref": "#/components/schemas/400Response"
        }
      },
      "400Response": {
        "description": "400",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "error": {
                  "type": "object",
                  "properties": {
                    "http_code": {
                      "type": "integer"
                    },
                    "id": {
                      "type": "string"
                    },
                    "description": {
                      "type": "string"
                    }
                  }
                }
              }
            },
            "examples": {
              "Result": {
                "value": {
                  "error": {
                    "http_code": 400,
                    "id": "BAD_REQUEST",
                    "description": "A meaningful description of the error."
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "security": [
    {
      "basic": []
    }
  ],
  "paths": {
    "/businesses/remove/v1": {
      "post": {
        "deprecated": true,
        "summary": "Delete subscriptions",
        "tags": [
          "Listing Management"
        ],
        "description": "This endpoint deletes business subscriptions for Listing Management.",
        "operationId": "remove_listing_management_subscriptions_v1",
        "requestBody": {
          "description": "Request body",
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "business_ids": {
                    "type": "array",
                    "description": "List of Business IDs",
                    "items": {
                      "type": "string"
                    }
                  }
                },
                "required": [
                  "business_ids"
                ]
              }
            }
          }
        },
        "responses": {
          "$ref": "#/components/schemas/AddDeleteSubscriptionsResponse"
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": false,
    "samples-enabled": true
  },
  "_id": {
    "buffer": {
      "0": 99,
      "1": 144,
      "2": 154,
      "3": 246,
      "4": 26,
      "5": 4,
      "6": 67,
      "7": 0,
      "8": 165,
      "9": 121,
      "10": 202,
      "11": 84
    }
  }
}
```